Prepare your request
The endpoint to use isPOST https://pay.sandbox.yabetoopay.com/v1/disbursements for sandbox environment and POST https://pay.api.yabetoopay.com/v1/disbursements for production environment.
Secret key security: The secret key (secret_key) must be kept confidential and
must never be exposed in the frontend or client code. It must only be used on
the server side.
- Use the secret key provided
secret_keyto authenticate yourself to the API. For security reasons, this key must only be used on the server side. - The request body should contain the following parameters:
Parameters
amount: The amount to be paidcurrency: The currency of the paymentfirst_name: The first name of the customerlast_name: The last name of the customerpayment_method_data: The payment method datatype: The type of payment methodmomo: The momo payment method datamsisdn: The customer’s phone numbercountry: The country codeoperator_name: The operator name
Create a Disbursement
Response
200 OK
When the disbursement was successfully created, the API will return a 200 OK response with the following body: The status of the disbursement isprocessing because the payment is still being processed and has not been executed yet.